/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// Класс компонента содержимого.
// Наследует классы слушателей выпадающих списков и кнопок
class TCentralComponent  : public Component,
                           public ComboBoxListener,
                           public ButtonListener
{
public:
    TCentralComponent();
    ~TCentralComponent();

    void paint(Graphics&);
    void resized();
    // Функция, отслеживающая изменения в выпадающих списках
    void comboBoxChanged(ComboBox*);
    // Функция, отслеживающая щелчки по кнопке
    void buttonClicked(Button*);

private:
    // Текущий шрифт текста, отображаемого в TextEditor
    Font CurrentFont;
    
    // Многострочное поле ввода
    TextEditor* pFontViewer;
    Label* pFontNameLabel;
    // Выбор гарнитуры шрифта
    ComboBox* pFontsBox;
    Label* pFontSizeLabel;
    // Выбор размера (кегля) шрифта
    ComboBox* pFontSizeBox;
    Label* pFontStyleLabel;
    GroupComponent* pFontGroup;
    // Радиокнопка выбора стиля нормального шрифта
    ToggleButton* pNormalButton;
    // Радиокнопка выбора стиля полужирного шрифта
    ToggleButton* pBoldButton;
    // Радиокнопка выбора стиля курсива
    ToggleButton* pItalicButton;

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
